Name:           patchelf
Version:        0.12
Release:        %mkrel 1
Summary:        A utility for patching ELF binaries
Group:          Development/Other
License:        GPLv3+
URL:            http://nixos.org/patchelf.html
Source0:        https://github.com/NixOS/%{name}/archive/%{version}/%{name}-%{version}.tar.xz

BuildRequires: autoconf 
BuildRequires: automake 
BuildRequires: libattr-devel 
BuildRequires: libacl-devel

%description
PatchELF is a simple utility for modifying an existing ELF executable
or library.  It can change the dynamic loader ("ELF interpreter")
of an executable and change the RPATH of an executable or library.

%prep
%setup -q

# package ships elf.h - delete to use glibc-headers one
rm src/elf.h

%build
sh ./bootstrap.sh
%configure2_5x
%make_build

%check
make check

%install
rm -rf %buildroot
%make_install

rm -rf %{buildroot}/usr/share/doc/%{name}

%files
%{_bindir}/patchelf
%{_mandir}/man1/patchelf.1*


%changelog
* Sat Jul 17 2021 tex - 0.12-1pclos2021
- create pkg
